#ifndef __INC_POS_PINTUI_EASYREQ_H
#define __INC_POS_PINTUI_EASYREQ_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>EasyReq.h<<   09 Jan 1997    09:40:36 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PEXEC_TYPES_H
#include <pExec/Types.h>
#endif

/*----------------------------------
-----------------------------------*/
struct pOS_EasyStruct
{
        UWORD        es_StructSize;   /* sizeof(struct pOS_EasyStruct) */
        UWORD        es_Flags;        /* alwasy 0 */
        UWORD        es_Type;         /* (enum pOS_EasyTypes) */
  const CHAR        *es_Title;        /* title of requester window */
  const CHAR        *es_TextFormat;   /* 'printf' style formatting string */
  const CHAR        *es_GadgetFormat; /* 'printf' style formatting string */
  const CHAR        *es_HelpID;       /* Window-HelpID, NULL => default */
  const CHAR        *es_HelpFile;     /* Window-HelpFile, NULL => default */
  const struct pOS_TagItem *es_Tags;  /* Tags of (enum pOS_EasyTags) */
};



enum pOS_EasyTypes
{
  ESYTYP_Std=0,                 /* Standard */
  ESYTYP_Request,               /* Rckfrage */
  ESYTYP_NoMem,                 /* Speichmangel */
  ESYTYP_Input,                 /* Eingabeaufforderung */
  ESYTYP_DiskWriteProtected,
  ESYTYP_DeviceNotMounted,
  ESYTYP_DiskFull,
  ESYTYP_NotDosDisk,
  ESYTYP_NoDiskInDrive,
  ESYTYP_ReadWriteError,
  ESYTYP_Error,                 /* allgemeiner Error */
  ESYTYP_Warn,                  /* Warnung - kein echter Fehler */
  ESYTYP_Safety,                /* Sicherheits-Rckfrage (... Format Disk) */
  ESYTYP_Info,                  /* Information */

  ESYTYP_MAX
};


#endif
