#ifndef __INC_POS_PINTUI_EASYTAGS_H
#define __INC_POS_PINTUI_EASYTAGS_H
/*******************************************************************
 Includes Release 24
 (C) Copyright 1995-1997 proDAD
     All Rights Reserved

 $AUT Holger Burkarth
 $DAT >>EasyTags.h<<   10 Mar 1997    17:44:49 - (C) ProDAD
*******************************************************************/
#ifndef __INC_POS_PUTIL_TAGITEM_H
#include <pUtil/TagItem.h>
#endif

enum pOS_EasyTags
{
  EASYTAG_First = TAG_USER + 0x0b0000,
  EASYTAG_ButLine,      /* (const CHAR*) */
  EASYTAG_BodyLine,     /* (const CHAR*) */
  EASYTAG_ES,           /* (const pOS_EasyStruct*) */
  EASYTAG_Args,         /* (const ULONG*) */
  EASYTAG_Gadget,       /* (pOS_Gadget*)
                        ** Mehrere oder NULL-Zeiger auf bereits erzeugte Gadget.
                        ** Alle so eingebundenen Gadgets werden vertikal aufgereiht
                        ** und das Window wird Resizeable. Smtliche Gadgets werden
                        ** NICHT autom. beim Window-Close gelscht.
                        */
  EASYTAG_ActivateGadget,/* Zu aktivierendes Gadget beim OpenWindow. */
  EASYTAG_WindowBusy,   /* (struct pOS_Window*) oder NULL => wird busy */
  EASYTAG_Type,         /* (enum pOS_EasyTypes) */
  EASYTAG_GfxFile,      /* (const dosname_t*) */
  EASYTAG_OkGadget,     /* (const pOS_Gadget*) */
  EASYTAG_CancelGadget, /* (const pOS_Gadget*) */
  EASYTAG_Title,        /* (const CHAR*) */
  EASYTAG_Screen,       /* (pOS_Screen*) */
  EASYTAG_RETURN,       /* (BOOL) default=TRUE, <RETURN> == Ok */
  EASYTAG_ESC,          /* (BOOL) default=TRUE, <ESC> == Cancel */

};


#endif
